Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.dom
Class DOMTransform

    java.lang.Object
      net.sf.saxon.Transform
          net.sf.saxon.dom.DOMTransform

public class DOMTransform
extends Transform

Variant of command line net.sf.saxon.Transform do build the source document in DOM and then proceed with the transformation. This class is provided largely for testing purposes.

Field Summary

Fields inherited from class net.sf.saxon.Transform
`config, factory, repeat, showTime, useURLs`

Constructor Summary
`DOMTransform()`

Method Summary
`static void` | `main(java.lang.String[] args)` Main program, can be used directly from the command line.
`java.util.List` | `preprocess(java.util.List sources)` Preprocess the list of sources.

Methods inherited from class net.sf.saxon.Transform
`badUsage, doMain, execute, getConfiguration, loadDocuments, processDirectory, processDirectoryAssoc, processFile, processFileAssoc, quit, setFactoryConfiguration, setPOption`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMTransform

    public DOMTransform()

Method Detail

### preprocess

    public java.util.List preprocess(java.util.List sources)
                              throws XPathException

  Description copied from class: `Transform`
  Preprocess the list of sources. This method exists so that it can be overridden in a subclass

  Overrides:
    `preprocess` in class `Transform`
  Throws:
    `XPathException`

### main

    public static void main(java.lang.String[] args)

  Description copied from class: `Transform`
  Main program, can be used directly from the command line.

  The format is:

  java net.sf.saxon.Transform [options] source-file style-file >output-file

  followed by any number of parameters in the form {keyword=value}... which can be referenced from within the stylesheet.

  This program applies the XSL style sheet in style-file to the source XML document in source-file.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD